/*
 * @Author: fuyu
 * @Date: 2021-03-22 19:10:00
 * @LastEditors: fuyu
 * @LastEditTime: 2021-03-23 11:15:15
 * @FilePath: /202103/code/test/tmp/ApplicationProgressLog.js
 */

const Sequelize = require('sequelize');
import sequelize from './db/sequelize';
/**
* 患者信息
*/
// primaryKey: true
// defaultValue: null
const ApplicationProgressLog = sequelize.define('application_progress_log', {
  id: {type: Sequelize.STRING(50),   allowNull: false, primaryKey: true}, // id,
  operator_id: {type: Sequelize.STRING(50),   allowNull: true, defaultValue: null}, // operator_id, 操作人id
  operator_name: {type: Sequelize.STRING(255),   allowNull: true, defaultValue: ''}, // operator_name, 操作人姓名
  current_step: {type: Sequelize.STRING(100),   allowNull: false, defaultValue: ''}, // current_step, 当前操作步骤\r\n1、待支付\r\n2、已支付发起申请\r\n3、已接受\r\n4、已撤回\r\n5、已驳回\r\n6、已写\r\n7、已审核\r\n8、远程确认\r\n9、本地完成\r\n10、取消订单\r\n11、已退款
  remark: {type: Sequelize.STRING(2000),   allowNull: true}, // remark,
  application_id: {type: Sequelize.STRING(50),   allowNull: false, defaultValue: ''}, // application_id 申请单id
}, {
  freezeTableName: true,
  charset: 'utf8',
  indexes:[
    {fields : ['application_id']}
  ],
  updatedAt: false
});
ApplicationProgressLog.sync({ force: false }).then(function() {});
export default ApplicationProgressLog;